获取 access - token和refresh - token
POST
/api/auth-server/oauth/access-token接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/api/auth-server/oauth/access-token | HTTPS | POST | 100 |
请求头
| 标签 | 必填 | 说明 | 类型 | 示例 |
|---|---|---|---|---|
| Content-Type | 是 | 请求内容类型 | [string] | multipart/form-data |
请求参数
appIdstring必填appSecretstring必填请求curl示例
curl --location 'https://openapi.lingxing.com/api/auth-server/oauth/access-token' \
--form 'appId="appId"' \
--form 'appSecret="appSecret"'
返回结果
Json Object
codeinteger必填msgstring必填dataobject必填隐藏子属性
access_tokenstring必填refresh_tokenstring必填expires_instring必填返回成功示例
{
"code": "200",
"msg": "OK",
"data": {
"access_token": "4dcaa78e-b52d-4325-bc35-571021bb0787",
"refresh_token": "da5b5047-e6d1-496c-ab4d-d5425a6a66e4",
"expires_in": 7199
}
}
返回失败示例
{
"code": "2001001",
"msg": "app not exist",
"data": null
}